MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024074Community[OCCT] OCCT:Modeling Algorithmspublic2013-07-13 10:422017-12-05 17:09
ReporterHayashi 
Assigned Toifv 
PrioritynormalSeverityminor 
StatusassignedResolutionopen 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0024074: The result of BRepOffsetAPI_MakeOffset is Null and Error
DescriptionIt occurred by the attached file.
<Result: Offset Value>
Null: -0.3,-0.4,-0.5
Error: -1.6
<Error message>
An exception was caught 003E5668 : Standard_ConstructionError: Offset wire is no
t closed.
** Exception ** 003E5668 : Standard_ConstructionError: Offset wire is not closed
.
Steps To Reproducepload ALL
igesread file.iges a
2
0
mkoffset p a 1 -1.0
#OK
mkoffset p a 1 -0.5
#Null Shape
mkoffset p a 1 -1.6
#Error
TagsNo tags attached.
Test case numberbugs modalg_5 bug24074
Attached Files? file icon file.iges (333,822 bytes) 2013-07-13 10:42

- Relationships

-  Notes
(0027686)
bugmaster (administrator)
2014-01-29 16:22

Problem is reproduced
mkoffset p a 1 -1.0
#OK - case became BAD - exception
mkoffset p a 1 -0.5
#Null Shape - exception
mkoffset p a 1 -1.6
#Error - exception
Test case is requared
(0027890)
apn (administrator)
2014-02-13 13:38

Test case bugs/modalg_5/bug24074 was added to master.
(0040089)
Hayashi (reporter)
2015-04-22 05:57
edited on: 2015-12-17 02:50

on OCCT 6.9.0 beta(windows7 32bit VC++2010)
Test range: from -0.1 to -6.0
The following is Error: Offset is not done.
-1.6, -2.5, -2.6, -2.7, from -4.9 to -5.3


- Issue History
Date Modified Username Field Change
2013-07-13 10:42 Hayashi New Issue
2013-07-13 10:42 Hayashi Assigned To => ifv
2013-07-13 10:42 Hayashi File Added: file.iges
2014-01-29 16:22 bugmaster Note Added: 0027686
2014-01-29 16:22 bugmaster Assigned To ifv => apn
2014-01-29 16:22 bugmaster Status new => assigned
2014-02-13 13:38 apn Note Added: 0027890
2014-02-13 13:39 apn Test case number => bugs modalg_5 bug24074
2014-02-13 13:39 apn Assigned To apn => ifv
2015-04-22 05:57 Hayashi Note Added: 0040089
2015-04-22 07:29 abv Target Version => 7.1.0
2015-12-17 02:50 Hayashi Note Edited: 0040089 View Revisions
2016-10-28 11:54 msv Target Version 7.1.0 => 7.2.0
2017-07-21 11:34 msv Target Version 7.2.0 => 7.3.0
2017-12-05 17:09 msv Target Version 7.3.0 => 7.4.0*


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker